org.apache.catalina.mbeans

## Class ServiceMBean

- java.lang.Object
- - org.apache.tomcat.util.modeler.BaseModelMBean
  - - org.apache.catalina.mbeans.ServiceMBean

- All Implemented Interfaces:
    DynamicMBean, MBeanRegistration, ModelMBeanNotificationBroadcaster, NotificationBroadcaster

      public class ServiceMBean
      extends BaseModelMBean

- - ### Field Summary

    - ### Fields inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

      `attributeBroadcaster, generalBroadcaster, managedBean, oname, resource, resourceType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceMBean()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConnector(String address, int port, boolean isAjp, boolean isSSL)` Add a new Connector to the set of defined Connectors, and associate it with this Service's Container.
    `void` | `addExecutor(String type)` Adds a named executor to the service
    `String[]` | `findConnectors()` Find and return the set of Connectors associated with this Service.
    `String[]` | `findExecutors()` Retrieves all executors.
    `String` | `getExecutor(String name)` Retrieves executor by name

    - ### Methods inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

      `addAttributeChangeNotificationListener, addNotificationListener, getAttribute, getAttributes, getClassName, getJmxName, getManagedResource, getMBeanInfo, getModelerType, getNotificationInfo, getObjectName, invoke, postDeregister, postRegister, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttribute, setAttributes, setManagedBean, setManagedResource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceMBean

          public ServiceMBean()
                       throws MBeanException,
                              RuntimeOperationsException

      Throws:
        `MBeanException`
        `RuntimeOperationsException`

  - ### Method Detail

    - #### addConnector

          public void addConnector(String address,
                          int port,
                          boolean isAjp,
                          boolean isSSL)
                            throws MBeanException

      Add a new Connector to the set of defined Connectors, and associate it with this Service's Container.
      Parameters:
        `address` - The IP address on which to bind
        `port` - TCP port number to listen on
        `isAjp` - Create a AJP/1.3 Connector
        `isSSL` - Create a secure Connector
      Throws:
        `MBeanException` - error creating the connector

    - #### addExecutor

          public void addExecutor(String type)
                           throws MBeanException

      Adds a named executor to the service
      Parameters:
        `type` - Classname of the Executor to be added
      Throws:
        `MBeanException` - error creating the executor

    - #### findConnectors

          public String[] findConnectors()
                                  throws MBeanException

      Find and return the set of Connectors associated with this Service.
      Returns:
        an array of string representations of the connectors
      Throws:
        `MBeanException` - error accessing the associated service

    - #### findExecutors

          public String[] findExecutors()
                                 throws MBeanException

      Retrieves all executors.
      Returns:
        an array of string representations of the executors
      Throws:
        `MBeanException` - error accessing the associated service

    - #### getExecutor

          public String getExecutor(String name)
                             throws MBeanException

      Retrieves executor by name
      Parameters:
        `name` - Name of the executor to be retrieved
      Returns:
        a string representation of the executor
      Throws:
        `MBeanException` - error accessing the associated service

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.